=== debian/control ===
Source: sympl-dns
Section: net
Priority: extra
Maintainer: Paul Cammish <sympl@kelduum.net>
Uploaders: Paul Cammish <sympl@kelduum.net>
Build-Depends: debhelper (>= 7.0.0), gem2deb, txt2man, ruby
Standards-Version: 3.9.6
XS-Ruby-Versions: all

Package: sympl-dns
Architecture: all
Depends: rsync, wget, unzip, ruby, sympl-common, ${misc:Depends}
Replaces: symbiosis-dns
Conflicts: symbiosis-dns
Provides: symbiosis-dns
Description: Automatic DNS record creation and uploading for Bytemark customers
 This package contains tools to create TinyDNS files which may be uploaded
 to the Bytemark DNS host.
 .
 The generated TinyDNS files will be automatically uploaded to the Bytemark
 content DNS service, where they will be visible and may be queried directly
 via:
 .
   * a.ns.bytemark.co.uk
 .
   * b.ns.bytemark.co.uk
 .
   * c.ns.bytemark.co.uk
 .
